<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="de">
<head>
<!-- Generated by javadoc (1.8.0_112) on Sun Aug 29 12:47:13 CEST 2021 -->
<title>PlainMove</title>
<meta name="date" content="2021-08-29">
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="PlainMove";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/PlainMove.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../de/rowlo/tridchess/model/trid/Pin.html" title="class in de.rowlo.tridchess.model.trid"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../de/rowlo/tridchess/model/trid/Replayer.html" title="class in de.rowlo.tridchess.model.trid"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?de/rowlo/tridchess/model/trid/PlainMove.html" target="_top">Frames</a></li>
<li><a href="PlainMove.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">de.rowlo.tridchess.model.trid</div>
<h2 title="Class PlainMove" class="title">Class PlainMove</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>de.rowlo.tridchess.model.trid.PlainMove</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public class <span class="typeNameLabel">PlainMove</span>
extends java.lang.Object</pre>
<div class="block"><p>
 This is a representation of a Move as Properties entry. These entries do not
 contain any information about the figures being moved.
 </p>
 <p>
 Consider these Properties entries:<br>
 <ul>
 <li>move.1=figure-a5.2-c6.4</li>
 <li>move.35=pin-QP1-KP2-false</li>
 </ul>
 One cannot tell which attack board or figure is being moved just from this
 information. However, when saving a game the initial start formation is saved
 and can be used to replay the move sequence. Step by step the incomplete move
 information above can be filled up with the specific attack board and figure.
 </p>
 <p>
 The PlainMove can create a Move from itself considering the current board
 formation. Thus it serves as a temporary abstract move information container.
 </p></div>
<dl>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd>Robert Wloch</dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../de/rowlo/tridchess/model/trid/PlainMove.html#FIGURE_MOVE">FIGURE_MOVE</a></span></code>
<div class="block">Figure move type.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../de/rowlo/tridchess/model/trid/PlainMove.html#PIN_MOVE">PIN_MOVE</a></span></code>
<div class="block">Pin move type.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../de/rowlo/tridchess/model/trid/PlainMove.html#PlainMove-java.lang.String-java.lang.String-">PlainMove</a></span>(java.lang.String&nbsp;source,
         java.lang.String&nbsp;target)</code>
<div class="block">Creates a plain figure move.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../de/rowlo/tridchess/model/trid/PlainMove.html#PlainMove-java.lang.String-java.lang.String-boolean-">PlainMove</a></span>(java.lang.String&nbsp;source,
         java.lang.String&nbsp;target,
         boolean&nbsp;modify)</code>
<div class="block">Creates a plain pin move.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../de/rowlo/tridchess/model/trid/PlainMove.html#getSourceName--">getSourceName</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../de/rowlo/tridchess/model/trid/PlainMove.html#getTargetName--">getTargetName</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../de/rowlo/tridchess/model/trid/PlainMove.html#isModify--">isModify</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../de/rowlo/tridchess/model/trid/PlainMove.html#isMoveType--">isMoveType</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code><a href="../../../../../de/rowlo/tridchess/model/trid/Move.html" title="class in de.rowlo.tridchess.model.trid">Move</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../de/rowlo/tridchess/model/trid/PlainMove.html#toMove-de.rowlo.tridchess.model.Board-">toMove</a></span>(<a href="../../../../../de/rowlo/tridchess/model/Board.html" title="class in de.rowlo.tridchess.model">Board</a>&nbsp;b)</code>
<div class="block">Attempts to convert this PlainMove to a Move.</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../de/rowlo/tridchess/model/trid/PlainMove.html#toString--">toString</a></span>()</code>&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>equals, getClass, hashCode, notify, notifyAll, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="FIGURE_MOVE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>FIGURE_MOVE</h4>
<pre>public static&nbsp;boolean FIGURE_MOVE</pre>
<div class="block">Figure move type.</div>
</li>
</ul>
<a name="PIN_MOVE">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>PIN_MOVE</h4>
<pre>public static&nbsp;boolean PIN_MOVE</pre>
<div class="block">Pin move type.</div>
</li>
</ul>
</li>
</ul>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="PlainMove-java.lang.String-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>PlainMove</h4>
<pre>public&nbsp;PlainMove(java.lang.String&nbsp;source,
                 java.lang.String&nbsp;target)</pre>
<div class="block">Creates a plain figure move.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>source</code> - 3D name of the source field</dd>
<dd><code>target</code> - 3D name of the target field</dd>
</dl>
</li>
</ul>
<a name="PlainMove-java.lang.String-java.lang.String-boolean-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>PlainMove</h4>
<pre>public&nbsp;PlainMove(java.lang.String&nbsp;source,
                 java.lang.String&nbsp;target,
                 boolean&nbsp;modify)</pre>
<div class="block">Creates a plain pin move.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>source</code> - name of the source pin</dd>
<dd><code>target</code> - name of the target pin</dd>
<dd><code>modify</code> - true, if attack board is turned by 180 degrees</dd>
</dl>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="toMove-de.rowlo.tridchess.model.Board-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>toMove</h4>
<pre>public&nbsp;<a href="../../../../../de/rowlo/tridchess/model/trid/Move.html" title="class in de.rowlo.tridchess.model.trid">Move</a>&nbsp;toMove(<a href="../../../../../de/rowlo/tridchess/model/Board.html" title="class in de.rowlo.tridchess.model">Board</a>&nbsp;b)</pre>
<div class="block">Attempts to convert this PlainMove to a Move.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>null, if the fields/pins are not usable by this PlainMove</dd>
</dl>
</li>
</ul>
<a name="isMoveType--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isMoveType</h4>
<pre>public&nbsp;boolean&nbsp;isMoveType()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the moveType</dd>
</dl>
</li>
</ul>
<a name="getSourceName--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getSourceName</h4>
<pre>public&nbsp;java.lang.String&nbsp;getSourceName()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the sourceName</dd>
</dl>
</li>
</ul>
<a name="getTargetName--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getTargetName</h4>
<pre>public&nbsp;java.lang.String&nbsp;getTargetName()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the targetName</dd>
</dl>
</li>
</ul>
<a name="isModify--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isModify</h4>
<pre>public&nbsp;boolean&nbsp;isModify()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the modify</dd>
</dl>
</li>
</ul>
<a name="toString--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>toString</h4>
<pre>public&nbsp;java.lang.String&nbsp;toString()</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code>toString</code>&nbsp;in class&nbsp;<code>java.lang.Object</code></dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/PlainMove.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../de/rowlo/tridchess/model/trid/Pin.html" title="class in de.rowlo.tridchess.model.trid"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../de/rowlo/tridchess/model/trid/Replayer.html" title="class in de.rowlo.tridchess.model.trid"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?de/rowlo/tridchess/model/trid/PlainMove.html" target="_top">Frames</a></li>
<li><a href="PlainMove.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
